/*
 * Website: http://www.crimson-blade.org/
 * File: nations.h
 * Name: Standalone Racial Nations Module
 * Version: 2.13
 * Author: John 'Noplex' Bellone (jbellone@comcast.net)
 * Concent and Design:
           John 'Noplex' Bellone
           Chris 'Syriac' Crowe  (krowe69@hotmail.com)
 * Terms:
 * File may be modified or redistributed as long as the author is
 * contacted via email or other means. Description may be altered
 * to fit the needs. This header should be kept intact as it is
 * except for the option to alter the description.
 * Description:
 * Standalone version of the Nations module. Allows for the Nation
 * leaders to set positions, including the Nations First and Second.
 * Nations can be created or destroyed by Immortals; whom also set
 * the Nation Leader of each nation.
 */

#define MAX_NATIONS                25
#define MAX_NATION_RANKS           25
#define NATION_DIR                 "../nations/"
#define NATION_LIST                "../nations/nation.lst"

/* function declarations */
DECLARE_DO_FUN(do_nations);
DECLARE_DO_FUN(do_setnation);
DECLARE_DO_FUN(do_editnation);
DECLARE_DO_FUN(do_fealty);

/* ranklist structure */
typedef     struct  nations_ranklist   NRANKLIST;
struct nations_ranklist
{
  char       *name;
  char       *holder;
};

/* nation data structure */
typedef     struct  nations_data       NATION_DATA;
struct nations_data
{
  char       *name;
  char       *leader;
  char       *first;
  char       *second;
  char       *description;
  NRANKLIST  *ranklist[MAX_NATION_RANKS];
  int        race;
  int        htown_recall;
  int        top_rank;
};

NATION_DATA *nation_list[MAX_NATIONS];

/* nations.c */
void save_nations args((void));
void save_nation_file args((NATION_DATA *nation));
void load_nations args((void));
NATION_DATA *fread_nation args((char *filename));
NATION_DATA *get_nation args((char *check));
NATION_DATA *is_nation_leader args((CHAR_DATA *ch));
void view_nation args((CHAR_DATA *ch, bool all, NATION_DATA *nation));
void check_nation_status args((CHAR_DATA *ch));

